<!doctype html>
<html lang="en">
    <head>

        <style>
            .cart {
                width: 250px;
                height: 400px;
                background: black;
                color: #FFFFFF;
                margin: auto;
                position: relative;
            }
            .overlay {
                background: red;
                height: 400px;
                width: 100%;
                position: absolute;
                opacity: 0;
            }
            .content {
                width: 100%;
                position: absolute;
                height: 400px;
                z-index: 999;
            }

            .cart:hover .overlay {
                opacity: .5;
                z-index: 2;
            }

            .cart:hover .btn {

            }
        </style>

    </head>
    <body>
        <div class="cart">
            <div class="overlay"></div>

            <div class="content">
                <h1>Title</h1>
                <p>Text</p>
            </div>
        </div>

    </body>
</html>